You're right Bunzo 8)
[squirrelmail.git] / plugins / squirrelspell / sqspell_options.php
1 <?php
2 /**
3 SQSPELL_OPTIONS.PHP
4 --------------------
5 Main wrapper for the options interface.
6 **/
7 // Set a couple of constants. Don't change these, the setuppable stuff is
8 // in sqspell_config.php
9 $SQSPELL_DIR="squirrelspell";
10 $SQSPELL_CRYPTO=false;
11
12 // Load some necessary stuff.
13 chdir("..");
14 include("../src/validate.php");
15 include("../src/load_prefs.php");
16 include("../functions/strings.php");
17 include("../functions/page_header.php");
18 include ("$SQSPELL_DIR/sqspell_config.php");
19 require ("$SQSPELL_DIR/sqspell_functions.php");
20
21 // Access the module needed
22 //
23 if (!$MOD) $MOD="options_main";
24
25 // see if someone is attempting to be nasty by trying to get out of the
26 // modules directory, although it probably wouldn't do them any good,
27 // since every module has to end with .mod.php. Still, they deserve
28 // to be warned. ;)
29 if (strstr($MOD, ".") || strstr($MOD, "/") || strstr($MOD, "%")){
30 echo "SECURITY BREACH ON DECK 5! CMDR TUVOK AND SECURITY TEAM REQUESTED.";
31 exit;
32 }
33 // load the stuff already.
34 include ("$SQSPELL_DIR/modules/$MOD.mod.php");
35 ?>